import Bladex
import Reference
import EnemyTypes
import Sparks
import Actions
import LevelFuncs
import Sounds
import ExCombat
import ExTypes
import ItemTypes
import Torchs
import AuxFuncs
import Levers
import Ally_Def
import DwarfTypes
import Talk



###########################
# Olaf the Halfdead Dwarf #
###########################
carcelero=Bladex.CreateEntity("Olaf", "Knight_Traitor", 15921.9564913, -148.726326816, 16687.6580802,"Person")
carcelero.Data=def_class.DrunkWarder(carcelero)
carcelero.Life=1
carcelero.Angle=4.60481685797
carcelero.SetMesh("Enano4")
carcelero.Blind=1
carcelero.Deaf=1
carcelero.ImHurtFunc=Herido
carcelero.ImDeadFunc=Matado

Bladex.AddScheduledFunc(Bladex.GetTime()+0.12, carcelero.SetOnFloor, ())

sectoriniccarc=Bladex.GetSector(4088.90495874, -887.108100673, 6497.91445186)
sectoriniccarc.OnEnter=IniciaCarcelero

sectorapagaronq=Bladex.GetSector(16204.3922275, -887.64159255, 8383.23070045)
sectorapagaronq.OnEnter=ApagaRonquidos

############
## Miner1 ##
############

miner1=Bladex.CreateEntity("Jarnfragner","Dwarf_N",33009.0750029,14151.0613961,67828.3127636, "Person")
miner1.Scale=1.0
miner1.Angle=3.19076171553
miner1.Level=0
miner1.Life=120
miner1.Data=DwarfTypes.Dwarf_Ally(miner1)
darfuncs.HideBadGuy("Jarnfragner")

minerpick=Bladex.CreateEntity ("Minerweap1", "Pala", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(minerpick)
Actions.TakeObject("Jarnfragner", "Minerweap1")

############
## Miner2 ##
############

miner2=Bladex.CreateEntity("Bjornfuld","Dwarf_N",-8464.5143927,3151.0613961,54666.5505974, "Person")
miner2.Scale=1.0
miner2.Angle=3.19076171866
miner2.Level=0
miner2.Life=120.0
miner2.Data=DwarfTypes.Dummy_Ally(miner2)
darfuncs.HideBadGuy("Bjornfuld")

minershovel=Bladex.CreateEntity ("Minershovel", "Pala", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(minershovel)
Actions.TakeObject("Bjornfuld", "Minershovel")

######## INTRO ACTORS ######

# MASKLIN
masklin=Bladex.CreateEntity("Masklin","Knight_N",72290.7221873,-26112.1649455,98218.3423649, "Person")
masklin.Scale=1.0
masklin.Angle=4.2617992363
masklin.Level=1
masklin.Life=600.0
masklin.Blind=1
masklin.Deaf=1
masklin.SetMesh('KgtSkin1')
masklin.SetOnFloor()


o=Bladex.CreateEntity("MaskSword","EgyptSword",73321.6951393,-25024.5795042,105976.475252, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Masklin","MaskSword")

o=Bladex.CreateEntity("MaskShield","Escudo6",73855.541744,-25157.6422461,105946.735023, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("MaskShield")
Actions.TakeObject("Masklin","MaskShield")


# PROSPERO
o=Bladex.CreateEntity("Prospero","Barbarian_N",74420.8635349,-26281.578804,100716.219541, "Person")
o.Scale=1.0
o.Angle=2.04713146834
o.Level=1
o.SetMesh('Barbarian_L')

o=Bladex.CreateEntity("PROsword","BigSword",74516.1068246,-25932.7350044,101810.603344, "Weapon")
o.Scale=1.0
o.Orientation=(0.595798552036,-0.378660470247,-0.597827374935,-0.379793047905)
ItemTypes.ItemDefaultFuncs(o)

# BESHORE
dalgal=Bladex.CreateEntity("Beshore","Amazon_N",63765.0643324,-26105.5147073,100808.242978, "Person")
dalgal.Scale=1.0
dalgal.Angle=4.5513736666
dalgal.Level=1
dalgal.Life=300.0
dalgal.Blind=1
dalgal.Deaf=1
dalgal.SetMesh('AmzSkin1')
dalgal.SetOnFloor()
#darfuncs.HideBadGuy("Beshore")

o=Bladex.CreateEntity("Staff","FireBo",62564.9847041,-26187.6363574,101149.076612, "Weapon")
o.Scale=1.0
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Beshore","Staff")


o=Bladex.CreateEntity("PROchair2","Taburete",73639.3906939,-25270.9547584,100817.879323, "Weapon")
o.Scale=1.0
o.Orientation=(0.377837717533,0.378953546286,-0.596289217472,0.59839117527)


o=Bladex.CreateEntity("PROchair3","Silla",74420.8635349,-25872.130575,100716.219541, Reference.ObjType("Silla"))
o.Scale=1.2
o.Orientation=(0.5,0.499999970198,0.500000059605,-0.499999970198)

o=Bladex.CreateEntity("PROtable","Meson",71287.0286689,-25609.92015,101670.10756, Reference.ObjType("Meson"))
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
Breakings.SetBreakable("PROtable",12,100)


o=Bladex.CreateEntity("PROmug1","Caliz",71254.3284064,-26136.6378178,101667.459224, "Weapon")
o.Scale=1.0
o.Orientation=(0.699480652809,0.714457333088,-0.0142932645977,0.00855460111052)


o=Bladex.CreateEntity("PROmug2","Caliz",70975.1312794,-26136.4425189,99694.4555344, "Weapon")
o.Scale=1.0
o.Orientation=(0.704444468021,0.709477841854,-0.0142516680062,0.0140012251213)


o=Bladex.CreateEntity("PRObottle","PocimaTodo",70920.6525266,-26337.8594066,100890.240399, Reference.ObjType("PocimaTodo"))
o.Scale=1.4
o.Orientation=(0.696321725845,0.70693397522,0.0813923478127,-0.0935719236732)


o=Bladex.CreateEntity("PROplate","LamparaMiguelSinPeana",70920.6525266,-26165.2344066,102490.241092, Reference.ObjType("LamparaMiguelSinPeana"))
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 20.0 ]
o.Lights = [(0.0, 0.03125, (255, 196, 128))]


o=Bladex.CreateEntity("PROlunch","Paletilla",70946.4156005,-26272.3214526,102707.147739, Reference.ObjType("Paletilla"))
o.Scale=1.4
o.Orientation=(0.467361867428,-0.457301050425,0.60507029295,-0.454245060682)


o=Bladex.CreateEntity("ReinaAurelio_1406","ReinaAurelio",74665.8117545,-27172.2205404,98009.7253649, Reference.ObjType("ReinaAurelio"))
o.Static=1
o.Scale=2.4
o.Orientation=(0.489808171988,0.491624653339,0.508399367332,-0.509826660156)


o=Bladex.CreateEntity("MASdagger","Daga",70584.5534898,-25015.3272312,90261.868396, "Weapon")
o.Scale=1.0
o.Orientation=(0.999244213104,0.0131277600303,0.0311442092061,-0.0192028004676)


o=Bladex.CreateEntity("Brasero1_1630","Brasero1",73561.1730754,-25382.0563318,98104.1899441, Reference.ObjType("Brasero1"))
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 0.0 ]
o.Lights = [(40.0, 0.03125, (255, 196, 128))]



o=Bladex.CreateEntity("AltarBase1","PowerupSilver",63147.4681433,-25209.6545182,97934.6211904, Reference.ObjType("PowerupSilver"))
o.Scale=2.4
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)


o=Bladex.CreateEntity("AltarBase2","PowerupSilver",63147.4681433,-25669.6545182,97934.6211904, Reference.ObjType("PowerupSilver"))
o.Scale=2.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)


o=Bladex.CreateEntity("AltarGuy","Gargola",61579.0251838,-28285.933637,98021.8596916, Reference.ObjType("Gargola"))
o.Static=1
o.Scale=1.2
o.Orientation=(0.560985386372,0.430459320545,-0.560985565186,0.430459499359)




###### OUTRO #####

o=Bladex.CreateEntity("DalWeapon_1828","DalWeapon",62616.274934,-26050.5494701,86298.7816726, "Weapon")
o.Scale=1.0
o.Orientation=(0.165587365627,-0.255370616913,0.0435082390904,-0.951563835144)
ItemTypes.ItemDefaultFuncs(o)

o=Bladex.CreateEntity("DalShield_1829","DalShield",63394.1917767,-26645.3897805,85868.892103, Reference.ObjType("DalShield"))
o.Scale=1.0
o.Orientation=(0.726495623589,-0.0980914011598,0.672265291214,-0.103158146143)


o=Bladex.CreateEntity("Columna_1827","Columna",63334.9458507,-25654.8142759,85895.4206902, Reference.ObjType("Columna"))
o.Scale=1.6
o.Orientation=(0.0,1.27967922481e-007,0.707106769085,-0.707106769085)


dalgal2=Bladex.CreateEntity("Beshore2","Amazon_N",64656.2469799,-26975.0902612,98093.1447139, "Person")
dalgal2.Scale=1.0
dalgal2.Angle=1.40978109586
dalgal2.Level=1
dalgal2.Life=300.0
dalgal2.Blind=1
dalgal2.Deaf=1
ExTypes.GladiatorDefaultFuncs (dalgal2)
dalgal2.SetMesh('AmzSkin1')
dalgal2.SetOnFloor()
darfuncs.HideBadGuy("Beshore2")
